package org.seasar.jsf.template.impl.html;

import javax.faces.component.UIComponent;
import javax.faces.component.UIOutput;

import org.seasar.jsf.JsfConstants;
import org.seasar.jsf.template.impl.AbstractUIComponentBuilder;
import org.xml.sax.Attributes;

/**
 * @author higa
 *
 */
public class HtmlSpanBuilder extends AbstractUIComponentBuilder {

	private static final String RENDERER_TYPE = "org.seasar.jsf.Span";
	
	public HtmlSpanBuilder(String namespaceURI,
			String localName, String qName, Attributes attributes) {

		super(namespaceURI, localName, qName, attributes);
		addCustomPropertyName(JsfConstants.TYPE_ATTR);
	}

	protected UIComponent createComponent() {
		UIOutput component = new UIOutput();
		component.setRendererType(RENDERER_TYPE);
		return component;
	}
}
